package com.grkj.iscs.view.activity

import android.content.Intent
import com.grkj.iscs.view.activity.test.face.FaceActivity
import com.grkj.iscs.view.base.BaseActivity
import com.grkj.iscs.databinding.ActivityMainBinding
import com.grkj.iscs.presentation.PresentationActivity
import com.grkj.iscs.presentation.PresentationLoginActivity
import com.grkj.iscs.view.activity.test.BleActivity
import com.grkj.iscs.view.activity.test.RfidActivity
import com.grkj.iscs.view.activity.test.ModbusActivity
import com.grkj.iscs.view.activity.test.WidgetTestActivity
import com.grkj.iscs.view.activity.test.WebSocketActivity
import com.grkj.iscs.view.activity.test.fingerprint.FingerPrintActivity

class MainActivity : BaseActivity<ActivityMainBinding>() {

    override val viewBinding: ActivityMainBinding
        get() = ActivityMainBinding.inflate(layoutInflater)

    override fun initView() {
        mBinding?.ble?.setOnClickListener {
            startActivity(Intent(this, BleActivity::class.java))
        }

        mBinding?.modbus?.setOnClickListener {
            startActivity(Intent(this, ModbusActivity::class.java))
        }

        mBinding?.websocket?.setOnClickListener {
            startActivity(Intent(this, WebSocketActivity::class.java))
        }

        mBinding?.rfid?.setOnClickListener {
            startActivity(Intent(this, RfidActivity::class.java))
        }

        mBinding?.home?.setOnClickListener {
            startActivity(Intent(this, HomeActivity::class.java))
        }

        mBinding?.widgetTest?.setOnClickListener {
            startActivity(Intent(this, WidgetTestActivity::class.java))
        }

        mBinding?.presentation?.setOnClickListener {
            startActivity(Intent(this, PresentationActivity::class.java))
        }

        mBinding?.presentationLogin?.setOnClickListener {
            startActivity(Intent(this, PresentationLoginActivity::class.java))
        }

        mBinding?.login?.setOnClickListener {
            startActivity(Intent(this, LoginActivity::class.java))
        }

        mBinding?.createTicket?.setOnClickListener {
            startActivity(Intent(this, CreateTicketActivity::class.java))
        }

        mBinding?.face?.setOnClickListener {
            startActivity(Intent(this, FaceActivity::class.java))
        }

        mBinding?.finger?.setOnClickListener {
            startActivity(Intent(this, FingerPrintActivity::class.java))
        }
    }
}